<?php

namespace AutoAdmin\Bundle\Core\Doctrine;

class ListenerStateManager
{
    protected bool $state = true;

    public function enable(): void
    {
        $this->state = true;
    }

    public function disable(): void
    {
        $this->state = false;
    }

    public function getState(): bool
    {
        return $this->state;
    }
}
